Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class JSR_W

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.BranchInstruction
              org.apache.bcel.generic.JsrInstruction
                  org.apache.bcel.generic.JSR_W

All Implemented Interfaces:
  Serializable, Cloneable, InstructionTargeter, StackProducer, TypedInstruction, UnconditionalBranch

    public class JSR_W

extends JsrInstruction

JSR_W - Jump to subroutine

Version:
  $Id: JSR_W.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`JSR_W(InstructionHandle target)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(DataOutputStream out)` Dump instruction as byte code to stream out.
`protected void` | `initFromFile(ByteSequence bytes, boolean wide)` Read needed data (e.g.

Methods inherited from class org.apache.bcel.generic.JsrInstruction
`getType, physicalSuccessor`

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`containsTarget, getIndex, getTarget, getTargetOffset, getTargetOffset, setTarget, toString, updatePosition, updateTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### JSR_W

    public JSR_W(InstructionHandle target)

Method Detail

### dump

    public void dump(DataOutputStream out)
              throws IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `BranchInstruction`
  Parameters:
    `out` - Output stream
  Throws:
    `IOException`

### initFromFile

    protected void initFromFile(ByteSequence bytes,
                                boolean wide)
                         throws IOException

  Read needed data (e.g. index) from file.

  Overrides:
    `initFromFile` in class `BranchInstruction`
  Parameters:
    `bytes` - input stream
    `wide` - wide prefix?
  Throws:
    `IOException`
  See Also:
    `InstructionList`

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.